<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Box Sizing Demo</title>

	<!-- Internal CSS -->
	<style type="text/css">
		*{
			margin: 0;
			padding: 0;
			box-sizing: border-box;
		}

		#box {
			height: 150px;
			width: 150px;
			padding: 50px;
			border: 1px solid black;
			background-color: orange;
		}
	</style>

</head>
<body>

	<!-- Without the border-box -->
	<!-- The border and padding is added on top of the width -->
	<!-- 1px left border + 50px left padding + 150px width + 50px right padding +
	1px right border = 252px -->

	<!-- With Border-box -->
	<!-- The border and padding is included in the total width -->
	<!-- 1px left border + 50px left padding + 48px width + 50px right padding +
	1px right border = 150px -->

	<div id="box">Hello</div>

</body>
</html>